package com.hfkj.entity;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * cyymall_order_detail
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class CyymallOrderDetail implements Serializable {
    private Integer id;

    private Integer orderId;

    private Integer goodsId;

    private Integer num;

    private BigDecimal totalPrice;

    private Integer addtime;

    private Short isDelete;

    private String pic;

    private Integer integral;

    private Short isLevel;

    private String batchPriceTips;

    private BigDecimal supplierPrice;

    private Integer vgoodsId;

    private BigDecimal vgoodsPrice;

    private Integer verifyCardSaleId;

    private Integer giveGoodsId;

    private String attr;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getOrderId() {
        return orderId;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    public Integer getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Integer goodsId) {
        this.goodsId = goodsId;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public BigDecimal getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(BigDecimal totalPrice) {
        this.totalPrice = totalPrice;
    }

    public Integer getAddtime() {
        return addtime;
    }

    public void setAddtime(Integer addtime) {
        this.addtime = addtime;
    }

    public Short getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Short isDelete) {
        this.isDelete = isDelete;
    }

    public String getPic() {
        return pic;
    }

    public void setPic(String pic) {
        this.pic = pic;
    }

    public Integer getIntegral() {
        return integral;
    }

    public void setIntegral(Integer integral) {
        this.integral = integral;
    }

    public Short getIsLevel() {
        return isLevel;
    }

    public void setIsLevel(Short isLevel) {
        this.isLevel = isLevel;
    }

    public String getBatchPriceTips() {
        return batchPriceTips;
    }

    public void setBatchPriceTips(String batchPriceTips) {
        this.batchPriceTips = batchPriceTips;
    }

    public BigDecimal getSupplierPrice() {
        return supplierPrice;
    }

    public void setSupplierPrice(BigDecimal supplierPrice) {
        this.supplierPrice = supplierPrice;
    }

    public Integer getVgoodsId() {
        return vgoodsId;
    }

    public void setVgoodsId(Integer vgoodsId) {
        this.vgoodsId = vgoodsId;
    }

    public BigDecimal getVgoodsPrice() {
        return vgoodsPrice;
    }

    public void setVgoodsPrice(BigDecimal vgoodsPrice) {
        this.vgoodsPrice = vgoodsPrice;
    }

    public Integer getVerifyCardSaleId() {
        return verifyCardSaleId;
    }

    public void setVerifyCardSaleId(Integer verifyCardSaleId) {
        this.verifyCardSaleId = verifyCardSaleId;
    }

    public Integer getGiveGoodsId() {
        return giveGoodsId;
    }

    public void setGiveGoodsId(Integer giveGoodsId) {
        this.giveGoodsId = giveGoodsId;
    }

    public String getAttr() {
        return attr;
    }

    public void setAttr(String attr) {
        this.attr = attr;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        CyymallOrderDetail other = (CyymallOrderDetail) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getOrderId() == null ? other.getOrderId() == null : this.getOrderId().equals(other.getOrderId()))
            && (this.getGoodsId() == null ? other.getGoodsId() == null : this.getGoodsId().equals(other.getGoodsId()))
            && (this.getNum() == null ? other.getNum() == null : this.getNum().equals(other.getNum()))
            && (this.getTotalPrice() == null ? other.getTotalPrice() == null : this.getTotalPrice().equals(other.getTotalPrice()))
            && (this.getAddtime() == null ? other.getAddtime() == null : this.getAddtime().equals(other.getAddtime()))
            && (this.getIsDelete() == null ? other.getIsDelete() == null : this.getIsDelete().equals(other.getIsDelete()))
            && (this.getPic() == null ? other.getPic() == null : this.getPic().equals(other.getPic()))
            && (this.getIntegral() == null ? other.getIntegral() == null : this.getIntegral().equals(other.getIntegral()))
            && (this.getIsLevel() == null ? other.getIsLevel() == null : this.getIsLevel().equals(other.getIsLevel()))
            && (this.getBatchPriceTips() == null ? other.getBatchPriceTips() == null : this.getBatchPriceTips().equals(other.getBatchPriceTips()))
            && (this.getSupplierPrice() == null ? other.getSupplierPrice() == null : this.getSupplierPrice().equals(other.getSupplierPrice()))
            && (this.getVgoodsId() == null ? other.getVgoodsId() == null : this.getVgoodsId().equals(other.getVgoodsId()))
            && (this.getVgoodsPrice() == null ? other.getVgoodsPrice() == null : this.getVgoodsPrice().equals(other.getVgoodsPrice()))
            && (this.getVerifyCardSaleId() == null ? other.getVerifyCardSaleId() == null : this.getVerifyCardSaleId().equals(other.getVerifyCardSaleId()))
            && (this.getGiveGoodsId() == null ? other.getGiveGoodsId() == null : this.getGiveGoodsId().equals(other.getGiveGoodsId()))
            && (this.getAttr() == null ? other.getAttr() == null : this.getAttr().equals(other.getAttr()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getOrderId() == null) ? 0 : getOrderId().hashCode());
        result = prime * result + ((getGoodsId() == null) ? 0 : getGoodsId().hashCode());
        result = prime * result + ((getNum() == null) ? 0 : getNum().hashCode());
        result = prime * result + ((getTotalPrice() == null) ? 0 : getTotalPrice().hashCode());
        result = prime * result + ((getAddtime() == null) ? 0 : getAddtime().hashCode());
        result = prime * result + ((getIsDelete() == null) ? 0 : getIsDelete().hashCode());
        result = prime * result + ((getPic() == null) ? 0 : getPic().hashCode());
        result = prime * result + ((getIntegral() == null) ? 0 : getIntegral().hashCode());
        result = prime * result + ((getIsLevel() == null) ? 0 : getIsLevel().hashCode());
        result = prime * result + ((getBatchPriceTips() == null) ? 0 : getBatchPriceTips().hashCode());
        result = prime * result + ((getSupplierPrice() == null) ? 0 : getSupplierPrice().hashCode());
        result = prime * result + ((getVgoodsId() == null) ? 0 : getVgoodsId().hashCode());
        result = prime * result + ((getVgoodsPrice() == null) ? 0 : getVgoodsPrice().hashCode());
        result = prime * result + ((getVerifyCardSaleId() == null) ? 0 : getVerifyCardSaleId().hashCode());
        result = prime * result + ((getGiveGoodsId() == null) ? 0 : getGiveGoodsId().hashCode());
        result = prime * result + ((getAttr() == null) ? 0 : getAttr().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", orderId=").append(orderId);
        sb.append(", goodsId=").append(goodsId);
        sb.append(", num=").append(num);
        sb.append(", totalPrice=").append(totalPrice);
        sb.append(", addtime=").append(addtime);
        sb.append(", isDelete=").append(isDelete);
        sb.append(", pic=").append(pic);
        sb.append(", integral=").append(integral);
        sb.append(", isLevel=").append(isLevel);
        sb.append(", batchPriceTips=").append(batchPriceTips);
        sb.append(", supplierPrice=").append(supplierPrice);
        sb.append(", vgoodsId=").append(vgoodsId);
        sb.append(", vgoodsPrice=").append(vgoodsPrice);
        sb.append(", verifyCardSaleId=").append(verifyCardSaleId);
        sb.append(", giveGoodsId=").append(giveGoodsId);
        sb.append(", attr=").append(attr);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}